using MediatR;
using System;

namespace Sledgemapper.Api.Handlers
{
    public abstract class BaseNotification : INotification
    {
        public double Timestamp { get; private set; }
        public string SessionName { get; private set; }
        public int UserId { get; private set; }

        public BaseNotification(string sessionName, int userId)
        {
            Timestamp = DateTimeOffset.Now.ToUnixTimeMilliseconds();
            SessionName = sessionName;
            UserId = userId;
        }
    }
}
